Skip to main content
GET
List tasks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string<uuid>
required

Query Parameters

status
string

Filter by status (comma-separated)

is_urgent
boolean
category
enum<string>
Available options:
sign,
approve,
update,
delete
not_created_by
boolean

Exclude tasks created by user

Response

200 - application/json

List of tasks

id
string<uuid>
title
string
category
enum<string>
Available options:
sign,
approve,
update,
delete
description
string
is_urgent
boolean
status
enum<string>
Available options:
pending,
in_progress,
completed,
canceled,
declined
weight
number
performed_weight
number
customer_id
string<uuid>
assignees
object[]
created_at
string<date-time>
created_by
string<uuid>
metadata
object